from setuptools import setup, Command
from utils import build


class PyTest(Command):
    user_options = []
    def initialize_options(self):
        pass
    def finalize_options(self):
        pass
    def run(self):
        import subprocess
        errno = subprocess.call(['py.test'])
        raise SystemExit(errno)


setup(name='libtaskotron',
      version=build.find_version(),
      description='base lib for taskotron jobs',
      author='Tim Flink',
      author_email='tflink@fedoraproject.org',
      license='GPLv2+',
      url='https://pagure.io/taskotron/libtaskotron',
      packages=['libtaskotron', 'libtaskotron.directives', 'libtaskotron.ext',
                'libtaskotron.ext.fedora', 'libtaskotron.ext.disposable'],
      package_data={'libtaskotron': ['report_templates/*.j2']},
      package_dir={'libtaskotron':'libtaskotron'},
      include_package_data=True,
      cmdclass={'test': PyTest},
      entry_points=dict(console_scripts=['runtask=libtaskotron.main:main',
                                         'taskotron_result=libtaskotron.taskotron_result:main']),
      install_requires = [
      ]
)
